#include <Wire.h>

#include <Adafruit_Sensor.h>

#include <Adafruit_ADXL345_U.h>
Adafruit_ADXL345_Unified BSens=Adafruit_ADXL345_Unified(1);

float d_x=0, d_y=0, d_z=0;
uint8_t drehschalter;

void setup() {
Serial.begin(9600);
BSens.begin();
for (uint8_t i=1; i<101; i++){
    sensors_event_t event;
  BSens.getEvent(&event);
  
  d_x=d_x+event.acceleration.x;

  d_y=d_y+event.acceleration.y; 

  d_z=d_z+event.acceleration.z;   

  delay(100);
}
  Serial.print("Durchschnitt x:");
  Serial.println(d_x/100);   
  Serial.print("Durchschnitt y:");
  Serial.println(d_y/100);   
  Serial.print("Durchschnitt z:");
  Serial.println(d_z/100);   
  Serial.println("Bitte drehen Sie den Drehschalter in eine Endstellung!");
  delay(4000);
  drehschalter=analogRead(A0); 
  Serial.println(drehschalter);
  Serial.println("Bitte drehen Sie den Drehschalter in die Mittelstellung!");
  delay(4000);
  drehschalter=analogRead(A0); 
  Serial.println(drehschalter);  
  Serial.println("Bitte drehen Sie den Drehschalter in die andere Endstellung!");
  delay(4000);
  drehschalter=analogRead(A0); 
  Serial.println(drehschalter);  
  }

void loop() {
}

